KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLParamElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Parameters fed to the OBJECT element. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#edef-PARAM"> PARAM element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLParamElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | name (self)
| setName (self, DOM.DOMString a0)
| setType (self, DOM.DOMString a0)
| setValue (self, DOM.DOMString a0)
| setValueType (self, DOM.DOMString a0)
DOM.DOMString | type (self)
DOM.DOMString | value (self)
DOM.DOMString | valueType (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLParamElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString name | ( |  | self ) |

The name of a run-time parameter. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-name-PARAM"> name attribute definition in HTML 4.0.

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

setValue | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see value

setValueType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see valueType

DOM.DOMString type | ( |  | self ) |

Content type for the value attribute when valuetype has the value "ref". See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-type-PARAM"> type attribute definition in HTML 4.0.

DOM.DOMString value | ( |  | self ) |

The value of a run-time parameter. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-value-PARAM"> value attribute definition in HTML 4.0.

DOM.DOMString valueType | ( |  | self ) |

Information about the meaning of the value attribute value. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-valuetype"> valuetype attribute definition in HTML 4.0.